@import 'styles/vars';

.tab {
  :global(.nav-tabs) {
    border-bottom: 1px solid transparent;
  }

  :global(.nav-item) {
    color: $RollingStone;
    background-color: transparent;
  }

  :global(.nav-link) {
    padding: 5px 2px;
    margin-right: 30px;
  }

  :global(.nav-link):first-child {
    padding-left: 0;
  }

  :global(.nav-link):hover {
    border: 1px solid transparent !important;
  }

  :global(.nav-link.active) {
    background-color: transparent !important;
    border-color: transparent !important;
    border-bottom: 2px solid $BlueRibbon !important;
    color: $CodGray;
    font-weight: bold;
  }

  :global(.nav-link.active):hover {
    border-bottom: 2px solid $BlueRibbon !important;
  }

  :global(.tab-pane) {
    padding-top: 12px;
  }
}

.minimal {
  :global(.nav-tabs) {
    border-bottom: 0;
    margin-bottom: 8px;
  }

  :global(.nav-item) {
    color: $RollingStone;
    background-color: transparent;
  }

  :global(.nav-item) {
    margin-left: 10px;
  }

  :global(.nav-link) {
    padding: 4px 4px;
    font-size: 10px;
    border: 0;
    border-radius: 2px;
  }

  :global(.nav-link.active) {
    background-color: transparent !important;
    border: 0.5px solid #aeb1b7;
    color: $CodGray;
    font-weight: bold;
  }
}
